%define	name	boson
%define	version	0.9.1
%define	release	2mdk
%define	Summary	A Real-Time Strategy Game (RTS) for the KDE project

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Strategy
Source0:	http://belnet.dl.sourceforge.net/sourceforge/boson/%{name}-all-%{version}.tar.bz2
#Source2:	%{name}-icons.tar.bz2
URL:		http://boson.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-devel kdemultimedia-devel kdegames-devel arts-devel fam-devel
BuildRequires:  zlib-devel audiofile-devel libalsa-devel png-devel jpeg-devel
BuildRequires:	XFree86-devel lib3ds-devel MesaGLU-devel nas-devel python-devel
BuildRequires:	libart_lgpl-devel kdelibs-common expat-devel libvorbis-devel

%description
Boson is a real-time strategy game, like Command&Conquer(tm) or StarCraft(tm).
It is designed to run on Unix (Linux) computers and uses the Qt
Toolkit and QwSpriteField. A minimum of two players is required, since there is
no artificial intelligence (yet?).

Boson's Code and Graphics are published under the GNU General Public License.

If you want to know more about Boson, have a look at the Web site.

%prep
%setup -q -n %{name}-all-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure	--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-rpath \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--with-xinerama
#		--enable-final
make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std

%{__install} -d %{buildroot}%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Amusement/Strategy" $RPM_BUILD_ROOT/%{_datadir}/applnk/Games/TacticStrategy/boson/%{name}.desktop $RPM_BUILD_ROOT/%{_menudir}/%{name} kde
kdedesktop2mdkmenu.pl %{name} "Amusement/Strategy" $RPM_BUILD_ROOT/%{_datadir}/applnk/Games/TacticStrategy/boson/bounit.desktop $RPM_BUILD_ROOT/%{_menudir}/bounit kde

%{__install} $RPM_BUILD_ROOT%{_iconsdir}/locolor/16x16/apps/%{name}.png -D ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
%{__install} $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png -D ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
%{__install} $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png -D ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_docdir}/HTML/en/boson-apidocs/common

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(755,root,root,755)
%{_bindir}/bo*
%{_libdir}/kde3/plugins/designer/%{name}*
%defattr(644,root,root,755)
%{_datadir}/apps/%{name}
%{_datadir}/applnk/Games/TacticStrategy/boson
%{_datadir}/config/bodebug*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/locolor/16x16/apps/%{name}.png
%{_iconsdir}/locolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_menudir}/bo*
%doc ChangeLog INSTALL NEWS README TODO
%doc %{_docdir}/HTML/en/%{name}

%changelog
* Tue Mar 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.9.1-2mdk
- buildrequires
- fix uninstalled files

* Mon Nov 03 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.9-1mdk
- 0.9
- fix buildrequires (lib64..)
- disable parallell build, broken in this release:\

* Thu Jun 19 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.8-4mdk
- pass compile flags to configure in stead of make
- use double %%'s in changelog
- fix path to qt3 (lib64 issues..) 

* Sun Apr 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8-3mdk
- adjust buildrequires

* Fri Apr 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.8-2mdk
- fix configure so we don't get invalid binary names (from gc)
- fix buildrequires

* Fri Apr 11 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.8-1mdk
- 0.8
- sound is disabled by default for 0.8 due to severe slowdowns, enable with --sound
- dropped Source1, no longer needed
- --with-xinerama
- actually compile with %%{optflags}

* Mon Mar 17 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.7-1mdk
- don't rm -rf buildroot in prep stage
- don't create a filelist
- remove obsolete Prefix tag
- cleanups
- fix buildrequires
- 0.7
- added fix for slowdons(Source1)
- quiet setup
- added icons
- fix invalid binnames
- added documentation

* Thu Aug 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- from Florent BERANGER <cosmic.flo@libertysurf.fr> :
	- first Mdk release based on author works
